<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package spatium14
 */
get_header();
?>
<div id="primary" class="content-area">
	<main id="main" class="site-main">
		<div class="uk-container uk-container-expand uk-container-center"> 
			<?php if ( have_posts() ) : ?>
				<div class="uk-child-width-1-2@s uk-child-width-1-3@m uk-child-width-1-3@l" uk-grid>
					<?php
					/* Start the Loop */
					while ( have_posts() ) :
						the_post();
				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content-archive', get_post_type() );
			endwhile;
			
		else :
			get_template_part( 'template-parts/content', 'none' );
		endif;
		?>
	</div>
	<div class="uk-section uk-margin uk-text-center ">
		<?php  the_posts_pagination( array(	'end_size' => 2,) ); // навигация ?>
	</div>
</div>
</main><!-- #main -->
</div><!-- #primary -->
<?php get_footer(); ?>
